#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <assert.h>
#include <ctype.h>
#include <string.h>
#include "sort.h"

int
main(int argc, char *argv[])
{
    // arguments
    char *inFile = argv[1];

    int fd = open(inFile, O_RDONLY);
    assert(fd >= 0);

    rec_t record;
    int count = 0;
    while (1) {	
	int rc;
	rc = read(fd, &record, sizeof(rec_t));
	if (rc == 0)
	    break;
	assert(rc > 0);
	count++;
    }
    (void) close(fd);
    printf("read %d records\n", count);

    return 0;
}

